Bug Hunting Session
Bug 65501 - FILESAVE Can not save a modified document with backups enabled
Summary: FILESAVE Can not save a modified document with backups enabled
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.1.0.0.beta2
Hardware: Other All
: highest blocker
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.0.2 target:4.0.5
Keywords: regression
: 50878 (view as bug list)
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-06-07 09:53 UTC by pierre-yves samyn
Modified: 2013-06-26 08:10 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document (just one word) (7.40 KB, application/vnd.oasis.opendocument.text)
2013-06-07 09:53 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2013-06-07 09:53:52 UTC
Created attachment 80464 [details]
Sample document (just one word)

Hello

Platform: Windows 7 64bit
Version: 4.1.0.0.beta2
Build ID: 33224f4f11a05cfad2249e812fcc2975fbb61f6

I can not select the version in the list because it does not offer when I write.

Steps to Reproduce:
1. Check Tools> Options> Load / Save> General> Always create backup copy
2. File> Open> Sample attached document
3. Edit Document (type a space, for example)
4. File> Save

Error Message:

error saving the document <nomDoc>
Error creating object
Could not create backup copy

Regards
Pierre-Yves
Comment 1 Jacques Guilleron 2013-06-07 13:46:06 UTC
Hello Pierre-Yves,

I reproduce this behaviour with master LO 4.2.0.0.alpha0+
Build ID: 3e6853ae3e093b919ff3732e8fac05cb0a0fba5
on Windows 7 Home Premium

Jacques Guilleron
Comment 2 Pedro 2013-06-07 13:54:33 UTC
Bug confirmed under Win XP x86.

This is a REGRESSION from 4.0.3.3
Comment 3 Terrence Enger 2013-06-18 00:56:37 UTC
Pierre-Yves,

I apologize for suggesting the obvious, but I wonder ... 

Where do you save backup copies?  ( Tools > Options > LibreOffice >
Paths and find Type = Backups in the right pane )

Do you have permission to write there?

Terry.
Comment 4 pierre-yves samyn 2013-06-18 08:04:53 UTC
Hello

(In reply to comment #3)
 
> I apologize for suggesting the obvious, but I wonder ... 

It costs nothing to check :)


> Do you have permission to write there?

Yes I have write permissions, and as you can see, the bug was also reproduced on different systems.

Regards
Pierre-Yves
Comment 5 Caolán McNamara 2013-06-21 13:16:58 UTC
is the default backup directory actually missing, that's what I seem to see here locally
Comment 6 Jacques Guilleron 2013-06-21 13:47:25 UTC
Yes. There's no backup directory in 
C:\Users\me\AppData\Roaming\LibreOfficeDev\4\user\backup
Actual directory for backup is the same as document.

Jacques Guilleron
Comment 7 Caolán McNamara 2013-06-21 15:03:51 UTC
Seems to be the missing backup dir. strangely enough if I blow away by config dir and try in the oldest 3.5 I've got, it also doesn't create a backup dir and I get the same message with that option toggled on, so I'm not entirely sure when its a regression from that the backup dir itself didn't get created. I mean, if you happen to have the dir it works.
Comment 8 Commit Notification 2013-06-21 15:14:28 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ecdd9d1a47587aa7557c1b151010c78efa90fef2

Resolves: fdo#65501 ensure configured backup dir exists before using it



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 bfoman (inactive) 2013-06-21 17:55:24 UTC
*** Bug 50878 has been marked as a duplicate of this bug. ***
Comment 10 Commit Notification 2013-06-23 04:17:13 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4efffd86ee2d87e9d5a276d0525108fed0828d62&h=libreoffice-4-1

Resolves: fdo#65501 ensure configured backup dir exists before using it


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2013-06-23 04:17:48 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e54b0c7c36e7368d7b4fffd0ddd3f3c57349a938&h=libreoffice-4-0

Resolves: fdo#65501 ensure configured backup dir exists before using it


It will be available in LibreOffice 4.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Caolán McNamara 2013-06-24 08:22:44 UTC
*should* be fixed now if I was reproducing the same problem as originally reported
Comment 13 Jacques Guilleron 2013-06-26 08:10:00 UTC
Hi Caolan,

Verified. I have .bak in Backup directory. Works with LO 4.2.0.0.alpha0+
Build ID: ce0383d2950d3b0da2c457c8a406c1229de53571 & Windows 7 Home Premium

Thank you very much,

Jacques Guilleron